---
layout: post
title: "Restoring the TI 99/4A, ep. 3"
date: 2025-05-01 17:00:00 +0200
comments: true
categories:
---

## Video hookup

In the previous episode, I got a live console and was able to test TI Basic as well as a few cartridges, connecting the PAL modulator to a modern LCD TV.
It worked, but the colors were wayyyyyyy off.

Now, this is a European console with a TMS9929 VDP, and a 6 pin DIN video output socket, providing component video (YPbPr) with sync on Y.
It was a pretty simple job to build a component cable with 5 RCA plugs, by beheading a Playstation cable and soldering a DIN plug instead.

{% figure caption:"PlayStation cable" %}
![PlayStation cable](assets/TI-resto/20250501-PS-cable.jpg)
{% endfigure %}

I finally hooked that into a [RetroScaler2x](https://www.aliexpress.com/item/1005005763694233.html), and got beautiful HDMI output :tada:.

{% figure caption:"Component cable & RetroScaler" %}
![component cable & retroscaler](assets/TI-resto/PXL_20250501_150700385.jpg)
{% endfigure %}

It worked beautifully, the boot screen with its rainbow stripes on cyan background brought fond memories. Small TI BASIC programs and game cartridges brought me back 40+ years ago. Wonderful time machine!

{% figure caption:"Boot screen" %}
![boot screen](assets/TI-resto/PXL_20250428_192425638.jpg)
{% endfigure %}

{% figure caption:"TI BASIC ready" %}
![TI BASIC ready](assets/TI-resto/PXL_20250428_192158460.jpg)
{% endfigure %}

## Kids come in, trouble is there!

One of the secret goals of this renovation was to put the console in the hands of my kids.
My son played a while with Parsec, and then my daughter tried Alpiner...

And there, right in the midst of the game, the console 100% froze again, with the image still displaying, and a continuous tone playing. Not good.
I let it cool for several hours (the power supply board appears to be heating way more than I'd love it to after maybe 15-20 minutes of play), and I'm now back at the initial symptom: continuous random tone at startup, no display. :unamused: Back to the bench!
