---
layout: post
title: "Restoring the TI 99/4A, ep. 6"
date: 2025-07-06 16:40:00 +0200
comments: true
categories:
---

## Where we are: funny L600

I captured more traces showing voltage before L600 (i.e. at the net labeled "8" from the power supply in Sams Computer Facts) (<span style="background-color: #f8fc00;">yellow</span>) and after it (i.e. at the CPU's Vcc pin) (<span style="background-color: #b800b8;">purple</span>), also recording the min and max voltage.

{% figure caption:"Old CPU, L600 not shunted (bad)" %}
![Old CPU, L600 not shunted (bad)](assets/TI-resto/20250703-oldCPU-L600.png)
{% endfigure %}

{% figure caption:"Old CPU, L600 shunted (OK)" %}
![Old CPU, L600 shunted (OK)](assets/TI-resto/20250703-oldCPU-shuntL600.png)
{% endfigure %}

We are seeing:
* very large voltage variations downstream of L600 when it's not shunted
* interstingly, slightly different readings on the two probes even when shunted with a wire 🤔

## Replacing the CPU & a provisional conclusion

The hypothesis at this stage is a marginal CPU that draws a little too much current, so I'm trying to replace it with another one from eBay.

{% figure caption:"New CPU -- it works!" %}
![New CPU, L600 not shunted (OK)](assets/TI-resto/20250703-newCPU.png)
{% endfigure %}

... and this time it works (and no longer shows large variations on Vcc) even with L600 not shunted :tada:

So I'm considering the machine repaired, and hoping that there isn't some other issue with the power supply or the mainboard that will fry one CPU after another...
